Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.io
Enum IAIExporter.JoinType

    java.lang.Object
      java.lang.Enum<IAIExporter.JoinType>
          igeo.io.IAIExporter.JoinType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IAIExporter.JoinType>

Enclosing class:
  IAIExporter

    public static enum IAIExporter.JoinType

extends java.lang.Enum<IAIExporter.JoinType>

Enum Constant Summary
`Bevel`
`Miter`
`Round`

Method Summary
`static IAIExporter.JoinType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IAIExporter.JoinType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Miter

    public static final IAIExporter.JoinType Miter

### Round

    public static final IAIExporter.JoinType Round

### Bevel

    public static final IAIExporter.JoinType Bevel

Method Detail

### values

    public static final IAIExporter.JoinType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IAIExporter.JoinType c : IAIExporter.JoinType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IAIExporter.JoinType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD